cpw.mods.fml.client.config

## Class GuiCheckBox

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - cpw.mods.fml.client.config.GuiCheckBox

-     public class GuiCheckBox
      extends GuiButton

  This class provides a checkbox style control.

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `buttonTextures, displayString, enabled, field_146123_n, height, id, packedFGColour, visible, width, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCheckBox(int id, int xPos, int yPos, java.lang.String displayString, boolean isChecked)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawButton(Minecraft mc, int mouseX, int mouseY)`
    `boolean` | `isChecked()`
    `boolean` | `mousePressed(Minecraft p_146116_1_, int p_146116_2_, int p_146116_3_)`
    `void` | `setIsChecked(boolean isChecked)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `func_146111_b, func_146113_a, func_146115_a, getButtonWidth, getHoverState, mouseDragged, mouseReleased`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiCheckBox

          public GuiCheckBox(int id,
                     int xPos,
                     int yPos,
                     java.lang.String displayString,
                     boolean isChecked)

  - ### Method Detail

    - #### drawButton

          public void drawButton(Minecraft mc,
                        int mouseX,
                        int mouseY)

      Overrides:
        `drawButton` in class `GuiButton`

    - #### mousePressed

          public boolean mousePressed(Minecraft p_146116_1_,
                             int p_146116_2_,
                             int p_146116_3_)

      Overrides:
        `mousePressed` in class `GuiButton`

    - #### isChecked

          public boolean isChecked()

    - #### setIsChecked

          public void setIsChecked(boolean isChecked)